Skip to main content
DELETE
/
api
/
v1.0
/
virtual-accounts
/
{account_id}
/
{virtual_account_id}
Delete
curl --request DELETE \
  --url https://sandbox-payment-b2b.singapay.id/api/v1.0/virtual-accounts/{account_id}/{virtual_account_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-PARTNER-ID: <api-key>'
{
  "status": 200,
  "success": true,
  "data": {
    "message": "Virtual Account delete successfully"
  }
}

Authorizations

Authorization
string
header
required

JWT issued by POST /api/v1.1/access-token/b2b. Send Authorization: Bearer <token>.

X-PARTNER-ID
string
header
required

Merchant API key (Credential.api_key). Required on every request.

Path Parameters

account_id
string
required

Account identifier in ULID format.

virtual_account_id
string
required

Virtual account identifier in ULID format. Use this value in path parameters (not the VA number).

Response

Deleted

status
integer
required

HTTP status code.

Example:

200

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required

Deletion result payload.